Auvious RTC API v1.9.22
Auvious RTC API is the core set of services providing the realtime communication capabilities of the Auvious Platform.
You are viewing REST API documentation. This documentation is auto-generated from a swagger specification which itself is generated from annotations in the source code of the project. It is possible that this documentation includes bugs and that code samples are incomplete or wrong.
Authentication
- HTTP Authentication, scheme: bearer
- OAuth 2.0 Authorization.
-
Flow: clientCredentials
-
OAuth 2.0 Token URL =
/security/oauth/token -
OAuth 2.0 Scope
Scope Scope Description
-
Registrations
Create a new user endpoint aka register a user
POST https://auvious.video/rtc-api/users/endpoints HTTP/1.1
Host: auvious.video
Content-Type: application/json
Accept: application/json
Request body
{
"userEndpointId": "string",
"organizationId": "string",
"keepAliveSeconds": 5,
"serverKeepAliveReminderOn": true
}
Parameters
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
| body | body | RegisterUserEndpointWebCommand | true | none |
Responses
Overview
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | OK | string |
| 400 | Bad Request | Bad Request | Inline |
Response Schema
Status Code 400
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| » additionalProperties | string | false | none | none |
Examples
200 Response
"string"
400 Response
To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials
Code samples
- Shell
- Go
- Node
- Java
- Python
- Ruby
curl -X POST https://auvious.video/rtc-api/users/endpoints \
-H 'Content-Type: application/json' \ -H 'Accept: application/json' \ -H 'Authorization: Bearer {access-token}'
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Content-Type": []string{"application/json"},
"Accept": []string{"application/json"},
"Authorization": []string{"Bearer {access-token}"},
}
var body []byte
// body = ...
req, err := http.NewRequest("POST", "https://auvious.video/rtc-api/users/endpoints", bytes.NewBuffer(body))
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
const fetch = require('node-fetch');
const input = '{
"userEndpointId": "string",
"organizationId": "string",
"keepAliveSeconds": 5,
"serverKeepAliveReminderOn": true
}';
const headers = {
'Content-Type': 'application/json', 'Accept': 'application/json', 'Authorization': 'Bearer {access-token}'
}
fetch('https://auvious.video/rtc-api/users/endpoints', {
method: 'POST',
body: input,
headers
})
.then(r => r.json())
.then((body) => {
console.log(body)
})
// This sample needs improvement.
URL obj = new URL("https://auvious.video/rtc-api/users/endpoints");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("POST");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream())
);
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
import requests
headers = {
'Content-Type': 'application/json',
'Accept': 'application/json',
'Authorization': 'Bearer {access-token}'
}
r = requests.post(
'https://auvious.video/rtc-api/users/endpoints',
params={},
headers = headers)
print r.json()
require 'rest-client'
require 'json'
headers = {
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'Bearer {access-token}'
}
result = RestClient.post 'https://auvious.video/rtc-api/users/endpoints',
params: {}, headers: headers
p JSON.parse(result)
Destroy an existing user endpoint aka unregister a user
POST https://auvious.video/rtc-api/users/endpoints/unregister HTTP/1.1
Host: auvious.video
Content-Type: application/json
Accept: */*
Request body
{
"userEndpointId": "string",
"reason": "string",
"organizationId": "string"
}
Parameters
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
| body | body | UnregisterUserEndpointWebCommand | true | none |
Responses
Overview
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 204 | No Content | No Content | None |
| 400 | Bad Request | Bad Request | Inline |
Response Schema
Status Code 400
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| » additionalProperties | string | false | none | none |
Examples
400 Response
To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials
Code samples
- Shell
- Go
- Node
- Java
- Python
- Ruby
curl -X POST https://auvious.video/rtc-api/users/endpoints/unregister \
-H 'Content-Type: application/json' \ -H 'Accept: */*' \ -H 'Authorization: Bearer {access-token}'
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Content-Type": []string{"application/json"},
"Accept": []string{"*/*"},
"Authorization": []string{"Bearer {access-token}"},
}
var body []byte
// body = ...
req, err := http.NewRequest("POST", "https://auvious.video/rtc-api/users/endpoints/unregister", bytes.NewBuffer(body))
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
const fetch = require('node-fetch');
const input = '{
"userEndpointId": "string",
"reason": "string",
"organizationId": "string"
}';
const headers = {
'Content-Type': 'application/json', 'Accept': '*/*', 'Authorization': 'Bearer {access-token}'
}
fetch('https://auvious.video/rtc-api/users/endpoints/unregister', {
method: 'POST',
body: input,
headers
})
.then(r => r.json())
.then((body) => {
console.log(body)
})
// This sample needs improvement.
URL obj = new URL("https://auvious.video/rtc-api/users/endpoints/unregister");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("POST");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream())
);
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
import requests
headers = {
'Content-Type': 'application/json',
'Accept': '*/*',
'Authorization': 'Bearer {access-token}'
}
r = requests.post(
'https://auvious.video/rtc-api/users/endpoints/unregister',
params={},
headers = headers)
print r.json()
require 'rest-client'
require 'json'
headers = {
'Content-Type' => 'application/json',
'Accept' => '*/*',
'Authorization' => 'Bearer {access-token}'
}
result = RestClient.post 'https://auvious.video/rtc-api/users/endpoints/unregister',
params: {}, headers: headers
p JSON.parse(result)
Sends event to all registered user endpoints
POST https://auvious.video/rtc-api/users/endpoints/sendEvent HTTP/1.1
Host: auvious.video
Content-Type: application/json
Accept: */*
Returns number of messages sent. Users with 'SERVICE' role need to supply organization id.
Request body
{
"userId": "string",
"organizationId": "string",
"userEndpointId": "string",
"event": {
"property1": {},
"property2": {}
},
"masks": [
"string"
],
"qos": 0
}
Parameters
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
| body | body | SendEventToUserWebCommand | true | none |